from setuptools import setup
from edison.version import version_str

setup(
    name='edison',
    version=version_str,
    author='Brian Cline',
    author_email='brian.cline@gmail.com',
    description=('Absurdity as a Service'),
    long_description=open('README.rst').read(),
    license='MIT',
    keywords='edison hue lightpack http api rest service absurd',
    url='https://github.com/briancline/edison',
    packages=['edison'],
    install_requires=open('requirements.txt').readlines(),
    test_suite='nose.collector',
    classifiers=[
        'Development Status :: 1 - Planning',
        'License :: OSI Approved :: MIT License',
        'Intended Audience :: Developers',
        'Intended Audience :: System Administrators',
        'Natural Language :: English',
        'Operating System :: POSIX :: Linux',
        'Operating System :: POSIX :: AIX',
        'Operating System :: POSIX :: HP-UX',
        'Operating System :: POSIX :: IRIX',
        'Operating System :: POSIX :: SunOS/Solaris',
        'Operating System :: POSIX :: BSD :: BSD/OS',
        'Operating System :: POSIX :: BSD :: FreeBSD',
        'Operating System :: POSIX :: BSD :: NetBSD',
        'Operating System :: POSIX :: BSD :: OpenBSD',
        'Operating System :: Unix',
        'Environment :: Web Environment',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.2',
        'Programming Language :: Python :: 3.3',
        'Topic :: Home Automation',
    ],
)
